      *********************************************************************
      * MODULE NAME:       FAAPLTSD.CCP                                   *
      *                    modified by Marta Wojnar, IBM Germany          *
      * FUNCTION:        - free shared memory                             *
      * STATUS:                                                           *
      *  11 January 1995  Version 2 Release 0                             *
      *                                                                   *
      *********************************************************************
      *
        IDENTIFICATION DIVISION.
        PROGRAM-ID. FAAPLTSD.
        ENVIRONMENT DIVISION.
        SPECIAL-NAMES.
        CALL-CONVENTION 3 IS OS2API.
        DATA DIVISION.
        WORKING-STORAGE SECTION.
        01 WORK1.
           02 MESSAGE-1 VALUE 'PLTSD processing complete.' PIC X(26).
        01 MEMNAME.
           02 FILLER      PIC X(19)         VALUE '\SHAREMEM\VDVSEG'.
           02 FILLER      PIC X             VALUE X'00'.
        01 SHARED-BUFFER-PTR.
           02 BUFFER-OFF  PIC 9(4)  COMP-5  VALUE 0.
           02 BUFFER-SEG  PIC 9(4)  COMP-5.
        01 SBUFFER-PTR    REDEFINES SHARED-BUFFER-PTR USAGE POINTER.
        LINKAGE SECTION.
        01  DFHCOMMAREA              PIC X.
        PROCEDURE DIVISION.
        B1-BEGIN.
           CALL OS2API '__DOSGETSHRSEG' USING
                BY REFERENCE MEMNAME
                BY REFERENCE BUFFER-SEG.
           IF RETURN-CODE = 0
              MOVE 0 TO BUFFER-OFF
              CALL OS2API '__DOSFREESEG' USING
                   BY REFERENCE BUFFER-SEG
           END-IF.
           EXEC CICS WRITE OPERATOR
                     TEXT(MESSAGE-1)
                     TEXTLENGTH(26)
                     NOHANDLE
           END-EXEC.
           EXEC CICS XCTL PROGRAM('FAAOISPT')
           END-EXEC.
        B1-EXIT. EXIT.
